Rename QML modules to follow qml-module-foo naming

Bug #1342031 reported by Timo Jyrinki on 2014-07-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
accounts-qml-module (Ubuntu)
Low
Alberto Mardegan
address-book-app (Ubuntu)
Medium
Unassigned
bacon2d (Ubuntu)
Medium
Unassigned
clickmanager-plugin (Ubuntu)
Medium
Unassigned
content-hub (Ubuntu)
Medium
Unassigned
cordova-ubuntu (Ubuntu)
Medium
Unassigned
dee-qt (Ubuntu)
Medium
Unassigned
gsettings-qt (Ubuntu)
Medium
Unassigned
history-service (Ubuntu)
Medium
Unassigned
libhud-qt (Ubuntu)
Medium
Unassigned
libqofono (Ubuntu)
Medium
Unassigned
libusermetrics (Ubuntu)
Medium
Unassigned
mediascanner2 (Ubuntu)
Low
Unassigned
oxide-qt (Ubuntu)
Undecided
Unassigned
poppler-qml-plugin (Ubuntu)
Medium
Unassigned
qml-box2d (Ubuntu)
Medium
Unassigned
qml-friends (Ubuntu)
Medium
Unassigned
qt3d-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtconnectivity-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtdeclarative-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtfeedback-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtgrilo (Ubuntu)
Medium
Unassigned
qtlocation-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtmultimedia-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtpim-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtquickcontrols-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtsensors-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtsystems-opensource-src (Ubuntu)
Low
Timo Jyrinki
reminders-app (Ubuntu)
Medium
Unassigned
solid (Ubuntu)
Medium
Unassigned
sync-monitor (Ubuntu)
Medium
Unassigned
telephony-service (Ubuntu)
Medium
Unassigned
thumbnailer (Ubuntu)
Low
James Henstridge
u1db-qt (Ubuntu)
Medium
Christian Dywan
ubuntu-download-manager (Ubuntu)
Medium
Manuel de la Peña
ubuntu-keyboard (Ubuntu)
Medium
Unassigned
ubuntu-settings-components (Ubuntu)
Medium
Michał Sawicz
ubuntu-system-settings-online-accounts (Ubuntu)
Low
Alberto Mardegan
ubuntu-ui-extras (Ubuntu)
Medium
Unassigned
ubuntu-ui-toolkit (Ubuntu)
Medium
Christian Dywan
ubuntu-ui-toolkit (Ubuntu RTM)
Undecided
Unassigned
ubuntuone-credentials (Ubuntu)
Low
Unassigned
unity-action-api (Ubuntu)
Medium
Unassigned
unity-notifications (Ubuntu)
Medium
Unassigned
webbrowser-app (Ubuntu)
Medium
Olivier Tilloy

Bug Description

UPDATE: This would be a nice to have for Ubuntu 16.04 LTS, since otherwise we will need to keep the transitional packages until 2018.
UPDATE2: This would be a nice to have for Ubuntu 18.04 LTS, since otherwise we will need to keep the transitional packages until 2020.

===

The package names of QML modules should be of the format qml-module-{$modulename}[version], a transition that was started during Qt 5.3 preparation in Ubuntu. For example this could be qml-module-qtquick-localstorage or qml-module-qtsysteminfo for non versioned modules, and qml-module-ubuntu-webthing0.3 for versioned/co-installable modules.

Further details in Debian e-mail: http://lists.alioth.debian.org/pipermail/pkg-kde-talk/2014-March/001889.html

For Ubuntu, transitional packages should be put in place for smooth distribution upgrades, since we're shipping with the old names in previous Ubuntus. An example of that is at http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtsystems-opensource-src/revision/31 - in other words:
- Make the old package a transitional oldlibs package that depends on the new package
- Add Breaks/Replaces to the new package for the old non-transitional packages (be careful about the version number specification)
- Keep Multi-Arch: same and Architecture: any for the transitional package
- Write "QML module" instead of "QML plugin"
- Rename also the *.install files

---
One more example on naming:

For example, the "test" (qtdeclarative5-test-plugin) in the old qtdeclarative5-style package naming became "qttest" (qml-module-qttest) in the new naming since the path is actually under /usr/lib/*/qt5/qml/QtTest/

qml-module-qtquick-xmllistmodel has path /usr/lib/*/qt5/qml/QtQuick/XmlListModel, as an example if you have more than one subdir. /usr/lib/*/qt5/qml/Ubuntu/Connectivity/ would be qml-module-ubuntu-connectivity.

Related branches

Changed in qtsystems-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
status: New → In Progress
description: updated
Changed in qtsystems-opensource-src (Ubuntu):
importance: Undecided → Low
description: updated
summary: - Rename QML modules to follow current naming
+ Rename QML modules to follow qml-module-foo naming
Changed in qtquickcontrols-opensource-src (Ubuntu):
importance: Undecided → Low
status: New → Fix Released
Changed in accounts-qml-module (Ubuntu):
importance: Undecided → Low
Changed in cordova-ubuntu (Ubuntu):
importance: Undecided → Low
Changed in dee-qt (Ubuntu):
importance: Undecided → Low
Changed in gsettings-qt (Ubuntu):
importance: Undecided → Low
Changed in libhud-qt (Ubuntu):
importance: Undecided → Low
Changed in libqofono (Ubuntu):
importance: Undecided → Low
Changed in poppler-qml-plugin (Ubuntu):
importance: Undecided → Low
Changed in qml-box2d (Ubuntu):
importance: Undecided → Low
Changed in qml-friends (Ubuntu):
importance: Undecided → Low
Changed in qt3d-opensource-src (Ubuntu):
importance: Undecided → Low
Changed in qtconnectivity-opensource-src (Ubuntu):
importance: Undecided → Low
status: New → Fix Released
Changed in qtdeclarative-opensource-src (Ubuntu):
importance: Undecided → Low
status: New → Fix Released
Changed in qtmultimedia-opensource-src (Ubuntu):
importance: Undecided → Low
status: New → Fix Released
Changed in qtpim-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
importance: Undecided → Low
Changed in reminders-app (Ubuntu):
importance: Undecided → Low
Changed in solid (Ubuntu):
importance: Undecided → Low
Changed in ubuntu-system-settings-online-accounts (Ubuntu):
importance: Undecided → Low
Changed in qt3d-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in clickmanager-plugin (Ubuntu):
importance: Undecided → Low
Changed in address-book-app (Ubuntu):
importance: Undecided → Low
Changed in content-hub (Ubuntu):
importance: Undecided → Low
Changed in ubuntu-download-manager (Ubuntu):
importance: Undecided → Low
Changed in qtconnectivity-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in qtdeclarative-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in qtmultimedia-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in qtquickcontrols-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in history-service (Ubuntu):
importance: Undecided → Low
Changed in ubuntu-keyboard (Ubuntu):
importance: Undecided → Low
Changed in mediascanner2 (Ubuntu):
importance: Undecided → Low
Changed in ubuntu-settings-components (Ubuntu):
importance: Undecided → Low
description: updated
Changed in sync-monitor (Ubuntu):
importance: Undecided → Low
Changed in telephony-service (Ubuntu):
importance: Undecided → Low
Changed in thumbnailer (Ubuntu):
importance: Undecided → Low
Changed in webbrowser-app (Ubuntu):
importance: Undecided → Low
Changed in ubuntu-ui-extras (Ubuntu):
importance: Undecided → Low
Changed in ubuntu-ui-toolkit (Ubuntu):
importance: Undecided → Low
Changed in ubuntuone-credentials (Ubuntu):
importance: Undecided → Low
Changed in unity-action-api (Ubuntu):
importance: Undecided → Low
Changed in unity-notifications (Ubuntu):
importance: Undecided → Low
Changed in libusermetrics (Ubuntu):
importance: Undecided → Low
Changed in qtsensors-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
importance: Undecided → Low
status: New → Fix Released
Changed in qtlocation-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in u1db-qt (Ubuntu):
importance: Undecided → Low
Changed in qtlocation-opensource-src (Ubuntu):
importance: Undecided → Low
Changed in qtgrilo (Ubuntu):
importance: Undecided → Low
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtsystems-opensource-src - 5.0~git20130712-0ubuntu6

---------------
qtsystems-opensource-src (5.0~git20130712-0ubuntu6) utopic; urgency=medium

  * Clean up debian/patches/series and debian/rules of obsolete lines
  * Bump build dependencies to 5.3.0
  * Clean old pre-depends
  * Rename the QML modules to qml-module-xxx format and add transitional
    packages. (LP: #1342031)
 -- Timo Jyrinki <email address hidden> Tue, 15 Jul 2014 09:21:57 +0000

Changed in qtsystems-opensource-src (Ubuntu):
status: In Progress → Fix Released
Changed in qtpim-opensource-src (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtpim-opensource-src - 5.0~git20140515~29475884-0ubuntu3

---------------
qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu3) utopic; urgency=medium

  * Rename the QML modules to qml-module-xxx format and add transitional
    packages. (LP: #1342031)
 -- Timo Jyrinki <email address hidden> Thu, 17 Jul 2014 11:15:48 +0000

Changed in qtpim-opensource-src (Ubuntu):
status: In Progress → Fix Released
Bill Filler (bfiller) on 2014-07-30
Changed in telephony-service (Ubuntu):
status: New → Triaged
description: updated
Antti Kaijanmäki (kaijanmaki) wrote :

libhud-qt is obsolete and should be removed from the archive

Changed in libhud-qt (Ubuntu):
status: New → Won't Fix
Changed in unity-action-api (Ubuntu):
assignee: nobody → Antti Kaijanmäki (kaijanmaki)
status: New → Triaged
Changed in qml-box2d (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Changed in bacon2d (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → Low
status: New → Triaged
Changed in content-hub (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Olivier Tilloy (osomon) on 2014-09-30
Changed in webbrowser-app (Ubuntu):
status: New → Confirmed
Alberto Mardegan (mardy) on 2014-10-06
Changed in ubuntu-system-settings-online-accounts (Ubuntu):
assignee: nobody → Alberto Mardegan (mardy)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings-online-accounts - 0.5+14.10.20141023~rtm-0ubuntu1

---------------
ubuntu-system-settings-online-accounts (0.5+14.10.20141023~rtm-0ubuntu1) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Use trusted prompts for SignOnUi (LP: #1378660)
  * Implement QML dialog for password queries (LP: #1347771) (LP: #1379863)

  [ Ubuntu daily release ]
  * New rebuild forced
 -- Ubuntu daily release <email address hidden> Thu, 23 Oct 2014 15:08:55 +0000

Changed in ubuntu-system-settings-online-accounts (Ubuntu):
status: In Progress → Fix Released
Alberto Mardegan (mardy) on 2014-11-05
Changed in accounts-qml-module (Ubuntu):
assignee: nobody → Alberto Mardegan (mardy)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package accounts-qml-module - 0.5+15.04.20141110-0ubuntu1

---------------
accounts-qml-module (0.5+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alberto Mardegan ]
  * Rename QML module (LP: #1342031)
 -- Ubuntu daily release <email address hidden> Mon, 10 Nov 2014 09:49:57 +0000

Changed in accounts-qml-module (Ubuntu):
status: In Progress → Fix Released
Changed in u1db-qt (Ubuntu):
assignee: nobody → Christian Dywan (kalikiana)
status: New → Confirmed
Changed in ubuntu-ui-toolkit (Ubuntu):
assignee: nobody → Ubuntu SDK team (ubuntu-sdk-team)
status: New → Confirmed
Zoltan Balogh (bzoltan) on 2014-11-17
Changed in ubuntu-ui-toolkit (Ubuntu):
status: Confirmed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Ubuntu-ui-toolkit still uses qtdeclarative5-name-plugin naming.

It actually currently includes 4 modules: components, layouts, performancemetrics and test. The package names accordingly would be qml-module-ubuntu-components, qml-module-ubuntu-layouts, qml-module-ubuntu-performancemetrics and qml-module-ubuntu-test.

If that seems like an overkill (split into four packages), maybe make an exception to the policy and continue to ship them all as eg. qml-module-ubuntu-uitoolkit.

Changed in ubuntu-ui-toolkit (Ubuntu):
status: Fix Released → Confirmed
Timo Jyrinki (timo-jyrinki) wrote :

Qt Location was fixed as part of vivid's Qt 5.3.2 landing.

Changed in qtlocation-opensource-src (Ubuntu):
status: New → Fix Released
Changed in qtfeedback-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qt3d-opensource-src - 5.0~git20130731-0ubuntu8

---------------
qt3d-opensource-src (5.0~git20130731-0ubuntu8) vivid; urgency=medium

  * Switch to qml-module-* naming (LP: #1342031)
 -- Timo Jyrinki <email address hidden> Thu, 11 Dec 2014 12:37:32 +0000

Changed in qt3d-opensource-src (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtfeedback-opensource-src - 5.0~git20130529-0ubuntu6

---------------
qtfeedback-opensource-src (5.0~git20130529-0ubuntu6) vivid; urgency=medium

  * Switch to qml-module-* naming (LP: #1342031)
 -- Timo Jyrinki <email address hidden> Thu, 11 Dec 2014 12:37:18 +0000

Changed in qtfeedback-opensource-src (Ubuntu):
status: New → Fix Released
Changed in ubuntu-download-manager (Ubuntu):
assignee: nobody → Manuel de la Peña (mandel)
status: New → Triaged
Changed in thumbnailer (Ubuntu):
status: New → Fix Released
assignee: nobody → James Henstridge (jamesh)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mediascanner2 - 0.108+16.04.20151102-0ubuntu1

---------------
mediascanner2 (0.108+16.04.20151102-0ubuntu1) xenial; urgency=medium

  * Rename QML plugin package to qml-module-* and add transitional package
    for upgrades. (LP: #1342031)
  * Fix the metadata extractor so that it correctly extracts the date
    and presence of cover art from MPEG 4 audio files. (LP: #1492407)
  * Remove the id column from media_attic so that we don't get conflicts
    when copying data between media and media_attic. (LP: #1501990)

 -- James Henstridge <email address hidden> Mon, 02 Nov 2015 02:52:43 +0000

Changed in mediascanner2 (Ubuntu):
status: New → Fix Released
dobey (dobey) on 2015-12-01
Changed in ubuntuone-credentials (Ubuntu):
status: New → Fix Released
description: updated
Changed in webbrowser-app (Ubuntu):
importance: Low → Medium
Changed in address-book-app (Ubuntu):
importance: Low → Medium
Changed in bacon2d (Ubuntu):
importance: Low → Medium
Changed in clickmanager-plugin (Ubuntu):
importance: Low → Medium
Changed in content-hub (Ubuntu):
importance: Low → Medium
Changed in cordova-ubuntu (Ubuntu):
importance: Low → Medium
Changed in dee-qt (Ubuntu):
importance: Low → Medium
Changed in gsettings-qt (Ubuntu):
importance: Low → Medium
Changed in history-service (Ubuntu):
importance: Low → Medium
Changed in libhud-qt (Ubuntu):
importance: Low → Medium
Changed in libqofono (Ubuntu):
importance: Low → Medium
Changed in libusermetrics (Ubuntu):
importance: Low → Medium
Changed in poppler-qml-plugin (Ubuntu):
importance: Low → Medium
Changed in qml-box2d (Ubuntu):
importance: Low → Medium
Changed in qml-friends (Ubuntu):
importance: Low → Medium
Changed in qtgrilo (Ubuntu):
importance: Low → Medium
Changed in reminders-app (Ubuntu):
importance: Low → Medium
Changed in solid (Ubuntu):
importance: Low → Medium
Changed in sync-monitor (Ubuntu):
importance: Low → Medium
Changed in ubuntu-ui-extras (Ubuntu):
importance: Low → Medium
Changed in ubuntu-ui-toolkit (Ubuntu):
importance: Low → Medium
Changed in telephony-service (Ubuntu):
importance: Low → Medium
Changed in u1db-qt (Ubuntu):
importance: Low → Medium
Changed in ubuntu-download-manager (Ubuntu):
importance: Low → Medium
Changed in unity-action-api (Ubuntu):
importance: Low → Medium
Changed in ubuntu-keyboard (Ubuntu):
importance: Low → Medium
Changed in ubuntu-settings-components (Ubuntu):
importance: Low → Medium
Changed in unity-notifications (Ubuntu):
importance: Low → Medium
Changed in ubuntu-ui-toolkit (Ubuntu):
assignee: Ubuntu SDK team (ubuntu-sdk-team) → Christian Dywan (kalikiana)
Olivier Tilloy (osomon) on 2016-03-04
Changed in webbrowser-app (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
Olivier Tilloy (osomon) on 2016-03-04
Changed in webbrowser-app (Ubuntu):
status: Confirmed → In Progress
Łukasz Zemczak (sil2100) wrote :
Download full text (4.1 KiB)

This bug was fixed in the package ubuntu-ui-toolkit 1.3.1918+15.04.20160404-0ubuntu1 in https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/stable-phone-overlay

---------------

ubuntu-ui-toolkit (1.3.1918+15.04.20160404-0ubuntu1) vivid; urgency=medium

  [ Benjamin Zeller ]
  * Register expected warning messages in the tree testcase.
  * Add testsuite for Tree. Fixes LP: #1549171.
  * Compile with Qt 5.6. Fixes LP: #1540356
  * More Qt 5.6 fixes.

  [ Michael Terry ]
  * Add grabGesture field to SwipeArea.
  * This field controls whether the SwipeArea takes ownership of the gestures it
    observes. Fixes LP: #1527387.

  [ Timo Jyrinki ]
  * Add a test for blocking if packaging not sorted and clean.
  * More package name transitioning, wrap and sort, fix debian/copyright syntax,
    update standards-version, fix devel package sections and add/fix
    lintian-overrides.

  [ Olivier Tilloy ]
  * Fix dependencies of the transitional dummy package
    qtdeclarative5-ubuntu-ui-toolkit-plugin. Fixes LP: #1553551.

  [ Christian Dywan ]
  * Rename qtdeclarative5-*-plugin to qml-module-*. Fixes LP: #1342031.
  * Require a qtdeclarative5 known to have the tab fence patch.
  * Reset previous theme version and use UbuntuTestCase in tst_animator.
  * BottomEdge(Hint) focus and close via keyboard. Fixes LP: #1523825
  * Add 1.3 version of UbuntuTestCase.
  * No gdb when running unit tests on armv7l.
  * Build-depend on python3-debian for wrap-and-sort.

  [ XiaoGuo Liu ]
  * Fix AdaptivePageLayout documentation.

  [ Tim Peeters ]
  * Properly disable left/right arrows on sections when at the beginning/end of
    the list. Fixes LP: #1551356.
  * Sections and old AppHeader landscape mode. Fixes LP: #1551341.
  * Set the window color as soon as the window is available, to avoid a
    flickering background when it is updated later.
    Fixes LP: #1439133, LP: #1554897
  * Add theme, style and styleName properties to Dialog and Popover.
    Fixes LP: #1555548
  * Update the gallery script to use the new name of the export script.
  * Export the full list of library paths.
  * Prevent Page geometry changes in APL when changing Pages in a column.
  * Fix typo in DatePickerStyle. Fixes: LP #1561440.

  [ Zsombor Egri ]
  * ListItem focus navigation in ListView and other views.
    Fixes LP: #1523815, LP: #1536679, LP: #1549733, LP: #1549743
  * BorromEdge.preloadContent. Fixes LP: #1540454.
  * Asynchronous loader (AsyncLoader) using incubator, prerequisite for
    BottomEdge preloading its content. Fixes LP: #1540454.
  * ListView proxy should not consume up/down key events. Fixes LP: #1554447
  * Pick up the right style. Fixes LP: #1555797
  * Label makes sure the color alteration is known by the theming.
    Fixes LP: #1555784
  * Fix AsyncLoader tests so they create slightly less amount of elements.
  * AdaptivePageLayout removes all pages pushed to next columns when
    addPageToNextColumn() is called. Fixes LP: #1544745
  * Fix BottomEdge content discarding.
  * Disconnect enabled signal in Label in destructor, so functor call will not
    be handled when QQuickItem triggers enabled change. Fixes LP: #1560044.

  [ Andrea Bernabei ]
  * UI G...

Read more...

Changed in ubuntu-ui-toolkit (Ubuntu RTM):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.1 KiB)

This bug was fixed in the package ubuntu-ui-toolkit - 1.3.1918+16.04.20160404-0ubuntu1

---------------
ubuntu-ui-toolkit (1.3.1918+16.04.20160404-0ubuntu1) xenial; urgency=medium

  [ Benjamin Zeller ]
  * Register expected warning messages in the tree testcase.
  * Add testsuite for Tree. Fixes LP: #1549171.
  * Compile with Qt 5.6. Fixes LP: #1540356
  * More Qt 5.6 fixes.

  [ Michael Terry ]
  * Add grabGesture field to SwipeArea.
  * This field controls whether the SwipeArea takes ownership of the gestures it
    observes. Fixes LP: #1527387.

  [ Timo Jyrinki ]
  * Add additional Breaks as requested by archive admin.
  * Add a test for blocking if packaging not sorted and clean.
  * More package name transitioning, wrap and sort, fix debian/copyright syntax,
    update standards-version, fix devel package sections and add/fix
    lintian-overrides.

  [ Olivier Tilloy ]
  * Fix dependencies of the transitional dummy package
    qtdeclarative5-ubuntu-ui-toolkit-plugin. Fixes LP: #1553551.

  [ Christian Dywan ]
  * Rename qtdeclarative5-*-plugin to qml-module-*. Fixes LP: #1342031.
  * Require a qtdeclarative5 known to have the tab fence patch.
  * Reset previous theme version and use UbuntuTestCase in tst_animator.
  * BottomEdge(Hint) focus and close via keyboard. Fixes LP: #1523825
  * Add 1.3 version of UbuntuTestCase.
  * No gdb when running unit tests on armv7l.
  * Build-depend on python3-debian for wrap-and-sort.

  [ XiaoGuo Liu ]
  * Fix AdaptivePageLayout documentation.

  [ Tim Peeters ]
  * Properly disable left/right arrows on sections when at the beginning/end of
    the list. Fixes LP: #1551356.
  * Sections and old AppHeader landscape mode. Fixes LP: #1551341.
  * Set the window color as soon as the window is available, to avoid a
    flickering background when it is updated later.
    Fixes LP: #1439133, LP: #1554897
  * Add theme, style and styleName properties to Dialog and Popover.
    Fixes LP: #1555548
  * Update the gallery script to use the new name of the export script.
  * Export the full list of library paths.
  * Prevent Page geometry changes in APL when changing Pages in a column.
  * Fix typo in DatePickerStyle. Fixes: LP #1561440.

  [ Zsombor Egri ]
  * ListItem focus navigation in ListView and other views.
    Fixes LP: #1523815, LP: #1536679, LP: #1549733, LP: #1549743
  * BorromEdge.preloadContent. Fixes LP: #1540454.
  * Asynchronous loader (AsyncLoader) using incubator, prerequisite for
    BottomEdge preloading its content. Fixes LP: #1540454.
  * ListView proxy should not consume up/down key events. Fixes LP: #1554447
  * Pick up the right style. Fixes LP: #1555797
  * Label makes sure the color alteration is known by the theming.
    Fixes LP: #1555784
  * Fix AsyncLoader tests so they create slightly less amount of elements.
  * AdaptivePageLayout removes all pages pushed to next columns when
    addPageToNextColumn() is called. Fixes LP: #1544745
  * Fix BottomEdge content discarding.
  * Disconnect enabled signal in Label in destructor, so functor call will not
    be handled when QQuickItem triggers enabled change. Fixes LP: #1560044.

  [ Andrea Bernabei ]
  * UI Gallery: fix vertical alig...

Read more...

Changed in ubuntu-ui-toolkit (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webbrowser-app - 0.23+16.04.20160408.1-0ubuntu1

---------------
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
    system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
    Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
    debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
    bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
    truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
    defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
    selecting multiple files when only one is expected do not allow
    entering delete mode (with a long press on an item) while in picker
    mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
    keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
    the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
    #1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
    edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
    release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
    (LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
    side effect fix a unit test failure when run against the staging
    branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy <email address hidden> Fri, 08 Apr 2016 17:07:04 +0000

Changed in webbrowser-app (Ubuntu):
status: In Progress → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Thank you for all the fixes that made it to Ubuntu 16.04 LTS. We can proceed to drop now many of the transitional packages, and there will be another bug about that.

For the remaining packages that have not migrated yet, please do so. The next milestone after which the newly created transitional packages can be dropped is 18.04 LTS.

Michał Sawicz (saviq) on 2016-08-19
Changed in ubuntu-settings-components (Ubuntu):
assignee: nobody → Michał Sawicz (saviq)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libqofono - 0.90+16.10.20160901-0ubuntu1

---------------
libqofono (0.90+16.10.20160901-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * debian/control
    - Dropped recommends for ofono to a suggests
    - Renamed QML module to follow qml-module-ofono naming (LP: #1342031)

 -- Ken VanDine <email address hidden> Thu, 01 Sep 2016 14:59:50 +0000

Changed in libqofono (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package address-book-app - 0.2+16.10.20160913-0ubuntu1

---------------
address-book-app (0.2+16.10.20160913-0ubuntu1) yakkety; urgency=medium

  * handle rename of qtdeclarative5-ofono0.2 to qml-module-ofono (LP:
    #1342031)

 -- Ken VanDine <email address hidden> Tue, 13 Sep 2016 13:14:48 +0000

Changed in address-book-app (Ubuntu):
status: New → Fix Released
Changed in unity-action-api (Ubuntu):
assignee: Antti Kaijanmäki (kaijanmaki) → nobody
description: updated
Changed in bacon2d (Ubuntu):
assignee: Ken VanDine (ken-vandine) → nobody
Changed in content-hub (Ubuntu):
assignee: Ken VanDine (ken-vandine) → nobody
Changed in qml-box2d (Ubuntu):
assignee: Ken VanDine (ken-vandine) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers